DESTDIR = ./

LIBS += -L. -lstemmer
ICU_LIBS += $$(ICU_LIBS)

linux-g* {
	QMAKE_CXXFLAGS += -pedantic -Wno-long-long
	
	QMAKE_CFLAGS_DEBUG -= -g 
	QMAKE_CFLAGS_DEBUG += -ggdb
	
	QMAKE_CXXFLAGS_DEBUG -= -g
	QMAKE_CXXFLAGS_DEBUG += -ggdb 
	
	QMAKE_CFLAGS_DEBUG += -gdwarf-4 -fvar-tracking-assignments
	QMAKE_CXXFLAGS_DEBUG += -gdwarf-4 -fvar-tracking-assignments
	
	QMAKE_CFLAGS_RELEASE += -O3  
	QMAKE_CXXFLAGS_RELEASE += -O3 -ffast-math 
}

!isEmpty( ICU_LIBS ) {
	DEFINES += SQLITE_ENABLE_ICU
	LIBS += $$ICU_LIBS 
	message("Building with ICU libs!")
}


win32-g* {
	QMAKE_CFLAGS_DEBUG -= -g 
	QMAKE_CFLAGS_DEBUG += -ggdb
	
	QMAKE_CXXFLAGS_DEBUG -= -g
	QMAKE_CXXFLAGS_DEBUG += -ggdb
	
	QMAKE_CXXFLAGS += -pedantic -Wno-long-long 
	
	QMAKE_CFLAGS_RELEASE += -O3 
	QMAKE_CXXFLAGS_RELEASE += -O3 -ffast-math
	LIBS += ../../../../libs/libgeo_translit-0.2.a 
}

*msvc* {
	DEFINES += SQLITE_API=__declspec(dllexport) snprintf=_snprintf
}

WARNINGS += -Wall

CONFIG += debug_and_release

defineReplace(sources) {
	out = 

	for(file, SOURCES_DIRS) {
		entries = $$files($$file/$$ARGS)
		for(entry, entries) {
			out += $$replace(entry, \\\\, /)
		}
	}

	return($$out)
}

DEFINES += SQLITE_ENABLE_FTS3 SQLITE_SOUNDEX SQLITE_THREADSAFE=1 SQLITE_ENABLE_FTS3_PARENTHESIS SQLITE_ENABLE_RTREE=1 SQLITE_RTREE_INT_ONLY
#DEFINES += DEBUG_STEMMER

INCLUDEPATH += . \
	./include \
	../include

SOURCES += \
	src/sqlite3.c

TEMPLATE = lib

 CONFIG(debug, debug|release) {
	TARGET = $$join(TARGET,,,"D")

	UI_DIR = uics/debug
	MOC_DIR = mocs/debug
	OBJECTS_DIR = objs/debug
} else {
	UI_DIR = uics/release
	MOC_DIR = mocs/release
	OBJECTS_DIR = objs/release
}

CONFIG += shared
          		
